Bug Hunting Session
Bug 113120 - Unable to install Python based extensions on Windows XP
Summary: Unable to install Python based extensions on Windows XP
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: x86 (IA32) Windows (All)
: lowest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-14 15:43 UTC by Régis
Modified: 2018-01-19 11:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A screenshot of error linked in comment 0 (10.09 KB, image/png)
2017-10-20 11:47 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Régis 2017-10-14 15:43:24 UTC
Description:
Hi,

Unable to install Python based extensions on Windows XP. LibreOffice provides Python 3.5 or this version cannot be used on Windows XP or earlier!

On Windows XP with LibreOffice 5.4.1 :
(LibreOffice 5.4.2 is incompatible with Windows XP see Bug 112928)

Steps to Reproduce:
1. Download Python based extensions like Grammalecte www.dicollecte.org/grammalecte/oxt/Grammalecte-fr-v0.5.18.oxt
2. Open LibreOffice 'Tools' 'Extensions Manager' 'Add'

Actual Results:  
Error https://i.imgur.com/udULAUx.png

Expected Results:
Install extension.


Reproducible: Always

User Profile Reset: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Mike Kaganski 2017-10-20 11:47:40 UTC
Created attachment 137140 [details]
A screenshot of error linked in comment 0

(attaching here an externally-hosted screenshot)
Comment 2 Xisco Faulí 2018-01-19 11:05:00 UTC
Windows XP and Windows Vista support is going to be dropped in LibreOffice 6.0 -> https://wiki.documentfoundation.org/ReleaseNotes/6.0#Windows
Being realistic, I don't think anybody is going to fix this.
OTOH, you can use LibreOffice 5.3.7 from https://www.libreoffice.org/download/libreoffice-fresh/
Closing as RESOLVED WONTFIX